Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83818 - id-scsi errors SCSI bus is being reset ; scsi : aborting command due to timeout
Summary: id-scsi errors SCSI bus is being reset ; scsi : aborting command due to timeout
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-09 11:58 UTC by Need Real Name
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-05 14:54:31 UTC


Attachments (Terms of Use)

Description Need Real Name 2003-02-09 11:58:10 UTC
I get these errors with kernel-2.4.18-24.8.0
during cd-recording (or shortly after that)
CDRW model: "LG CD-RW CED-8080B"
I have 
kernel /vmlinuz-2.4.18-24.8.0 ro root=LABEL=/ hdc=ide-scsi
in grub.conf.
The burned CD seems OK.

------------ Error messages 

Feb  9 03:04:28 host133 kernel: SCSI host 0 abort (pid 1100854) timed out -
resetting
Feb  9 03:04:28 host133 kernel: SCSI bus is being reset for host 0 channel 0.
Feb  9 03:04:29 host133 kernel: scsi : aborting command due to timeout : pid
1100854, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00 
Feb  9 03:04:29 host133 kernel: SCSI host 0 abort (pid 1100854) timed out -
resetting
Feb  9 03:04:29 host133 kernel: SCSI bus is being reset for host 0 channel 0.
Feb  9 03:04:29 host133 kernel: scsi : aborting command due to timeout : pid
1100854, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00 
Feb  9 03:04:29 host133 kernel: SCSI host 0 abort (pid 1100854) timed out -
resetting
Feb  9 03:04:29 host133 kernel: SCSI bus is being reset for host 0 channel 0.
Feb  9 03:04:30 host133 kernel: scsi : aborting command due to timeout : pid
1100854, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00 
Feb  9 03:04:30 host133 kernel: SCSI host 0 abort (pid 1100854) timed out -
resetting
Feb  9 03:04:30 host133 kernel: SCSI bus is being reset for host 0 channel 0.
Feb  9 03:04:30 host133 kernel: scsi : aborting command due to timeout : pid
1100854, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00 
Feb  9 03:04:30 host133 kernel: SCSI host 0 abort (pid 1100854) timed out -
resetting
Feb  9 03:04:30 host133 kernel: SCSI bus is being reset for host 0 channel 0.
Feb  9 03:04:31 host133 kernel: scsi : aborting command due to timeout : pid
1100854, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00 
Feb  9 03:04:31 host133 kernel: SCSI host 0 abort (pid 1100854) timed out -
resetting
Feb  9 03:04:31 host133 kernel: SCSI bus is being reset for host 0 channel 0.
Feb  9 03:04:31 host133 kernel: scsi : aborting command due to timeout : pid
1100854, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00 
Feb  9 03:04:31 host133 kernel: SCSI host 0 abort (pid 1100854) timed out -
resetting
Feb  9 03:04:31 host133 kernel: SCSI bus is being reset for host 0 channel 0.
Feb  9 03:30:16 host133 kernel: attempt to access beyond end of device
Feb  9 03:30:16 host133 kernel: 0b:00: rw=0, want=34, limit=2
Feb  9 03:30:16 host133 kernel: isofs_read_super: bread failed, dev=0b:00,
iso_blknum=16, block=16
Feb  9 03:30:37 host133 kernel: attempt to access beyond end of device
Feb  9 03:30:37 host133 kernel: 0b:00: rw=0, want=34, limit=2
Feb  9 03:30:37 host133 kernel: isofs_read_super: bread failed, dev=0b:00,
iso_blknum=16, block:

Comment 1 Need Real Name 2003-02-10 06:59:11 UTC
These messages occure durig "Fixating" stage of 
cd-burning by cdrecord.

Feb 10 01:55:05 host133 kernel: SCSI bus is being reset for host 0 channel 0.
Feb 10 01:55:05 host133 kernel: scsi : aborting command due to timeout : pid
1357655, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00 
Feb 10 01:55:05 host133 kernel: SCSI host 0 abort (pid 1357655) timed out -
resetting
Feb 10 01:55:05 host133 kernel: SCSI bus is being reset for host 0 channel 0.
Feb 10 01:55:06 host133 kernel: scsi : aborting command due to timeout : pid
1357655, scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00 


Comment 2 Alan Cox 2003-06-05 14:54:31 UTC
Something else tried to access the bus but timed out (the fixate locks the bus
for a long time).
The kernel messages while scary are ok in this situation.




Note You need to log in before you can comment on or make changes to this bug.